package adverr

// DisableTrace decides if any call stack traces will be gathered when creating Errors
// If your application is doing performance-heavy tasks with lots of Error creations, you may consider setting this to true
// If set to true, all CallTraces in Error will be nil
var DisableTrace bool = false

// CallStackLength decides how many calls from the call stack should be gathered at most
// Changing this value has no effect if DisableTrace is true
var CallStackLength int = 100
